## kf6-kiconthemes 6.16.0

=== debian/changelog ===
kf6-kiconthemes (6.16.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.16.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Jul 2025 16:43:12 +0100

kf6-kiconthemes (6.15.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.15.0)
  * Refresh cross.patch
  * Comment out .install for docs packages for now, as the qch docs are
    currently not buildable in Ubuntu.

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Jun 2025 16:38:49 +0100

kf6-kiconthemes (6.14.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.14.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 10 May 2025 06:57:49 +0100

=== debian/control ===
Source: kf6-kiconthemes
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               doxygen,
               extra-cmake-modules (>= 6.16.0~),
               libkf6archive-dev (>= 6.16.0~),
               libkf6breezeicons-dev (>= 6.16.0~),
               libkf6colorscheme-dev (>= 6.16.0~),
               libkf6configwidgets-dev (>= 6.16.0~),
               libkf6i18n-dev (>= 6.16.0~),
               libkf6widgetsaddons-dev (>= 6.16.0~),
               libxkbcommon-dev,
               qt6-base-dev (>= 6.5.0+dfsg~),
               qt6-base-private-dev (>= 6.5.0+dfsg~),
               qt6-declarative-dev (>= 6.5.0+dfsg~),
               qt6-declarative-private-dev (>= 6.5.0+dfsg~),
               qt6-svg-dev (>= 6.5.0~),
               qt6-tools-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/kiconthemes
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kiconthemes
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kiconthemes
Rules-Requires-Root: no

Package: libkf6iconthemes-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Support for icon themes & widgets
 Library to use/access icon themes in Qt. These classes
 are used by the iconloader but can be used by others too.
 .
 This package contains runtime binaries.

Package: libkf6iconthemes-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Support for icon themes & widgets
 Library to use/access icon themes & widgets in Qt. These classes
 are used by the iconloader but can be used by others too.
 .
 This package contains the data files.

Package: libkf6iconthemes-dev
Section: libdevel
Architecture: any
Depends: libkf6colorscheme-dev (>= 6.16.0~),
         libkf6configwidgets-dev (>= 6.16.0~),
         libkf6i18n-dev (>= 6.16.0~),
         libkf6iconthemes6 (= ${binary:Version}),
         libkf6iconwidgets6 (= ${binary:Version}),
         libkf6widgetsaddons-dev (>= 6.16.0~),
         qml6-module-org-kde-iconthemes (= ${binary:Version}),
         qt6-base-dev (>= 6.5.0+dfsg~),
         qt6-declarative-dev (>= 6.5.0+dfsg~),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf6iconthemes-doc (= ${source:Version}),
Description: development files for kiconthemes
 Library to use/access icon themes & widgets in Qt. These classes
 are used by the iconloader but can be used by others too.
 .
 Contains development files for kiconthemes.

Package: libkf6iconthemes-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Support for icon themes & widgets (documentation)
 Library to use/access icon themes & widgets in Qt. These classes
 are used by the iconloader but can be used by others too.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6iconthemes6
Architecture: any
Multi-Arch: same
Depends: libkf6iconthemes-data (= ${source:Version}),
         libqt6svg6 (>= 6.5.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf6iconthemes-bin (= ${binary:Version}),
Description: Support for icon themes
 Library to use/access icon themes & widgets in Qt. These classes
 are used by the iconloader but can be used by others too.

Package: libkf6iconwidgets6
Architecture: any
Multi-Arch: same
Depends: libkf6iconthemes-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf6iconthemes-bin (= ${binary:Version}),
Description: Support for icon widgets
 Library to use/access icon themes & widgets in Qt. These classes
 are used by the iconloader but can be used by others too.

Package: qml6-module-org-kde-iconthemes
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Support for icon themes (QML module)
 Library to use/access icon themes & widgets in Qt. These classes
 are used by the iconloader but can be used by others too.

## kf6-kiconthemes 6.17.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "6.17.0") # handled by release scripts
set(KF_DEP_VERSION "6.17.0") # handled by release scripts
project(KIconThemes VERSION ${KF_VERSION})

# ECM setup
include(FeatureSummary)
find_package(ECM 6.17.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(KDEGitCommitHooks)

include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMMarkNonGuiExecutable)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(CMakeDependentOption)
include(ECMQmlModule)
include(ECMGenerateQDoc)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

option(KICONTHEMES_USE_QTQUICK "Build QML plugin using Qt6Qml" ON)

cmake_dependent_option(BUILD_DESIGNERPLUGIN "Build plugin for Qt Designer" ON "NOT CMAKE_CROSSCOMPILING" OFF)
add_feature_info(DESIGNERPLUGIN ${BUILD_DESIGNERPLUGIN} "Build plugin for Qt Designer")

set(kiconthemes_version_header "${CMAKE_CURRENT_BINARY_DIR}/src/kiconthemes_version.h")
ecm_setup_version(PROJECT
                  VARIABLE_PREFIX KICONTHEMES
                  VERSION_HEADER "${kiconthemes_version_header}"
                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6IconThemesConfigVersion.cmake"
                  SOVERSION 6)

# Dependencies
set(REQUIRED_QT_VERSION 6.7.0)
find_package(Qt6Widgets ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
find_package(Qt6Svg ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)

if (Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")
    find_package(Qt6GuiPrivate ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
endif()

if (KICONTHEMES_USE_QTQUICK)
  find_package(Qt6 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED Qml Quick)
endif()

# shall we use DBus?
# enabled per default on Linux & BSD systems
set(USE_DBUS_DEFAULT OFF)
if(UNIX AND NOT APPLE AND NOT ANDROID AND NOT HAIKU)
    set(USE_DBUS_DEFAULT ON)
endif()
option(USE_DBUS "Build components using DBus" ${USE_DBUS_DEFAULT})
if(USE_DBUS)
    find_package(Qt6DBus ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
    set(HAVE_QTDBUS ${Qt6DBus_FOUND})
endif()

find_package(KF6Archive ${KF_DEP_VERSION} REQUIRED)
find_package(KF6I18n ${KF_DEP_VERSION} REQUIRED)
find_package(KF6WidgetsAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF6ColorScheme ${KF_DEP_VERSION} REQUIRED)

# ensure we have our icons around on all platforms that require it
set(USE_BreezeIcons_DEFAULT ON)
if(ANDROID)
    set(USE_BreezeIcons_DEFAULT OFF)
endif()
option(USE_BreezeIcons "Ensures BreezeIcons are available" ${USE_BreezeIcons_DEFAULT})
if (USE_BreezeIcons)
    find_package(KF6BreezeIcons ${KF_DEP_VERSION} REQUIRED)
endif()

remove_definitions(-DQT_NO_CAST_FROM_ASCII)
remove_definitions(-DQT_NO_CAST_FROM_BYTEARRAY)

ecm_set_disabled_deprecation_versions(
    QT 6.10.0
    KF 6.16.0
)

add_definitions(-DTRANSLATION_DOMAIN=\"kiconthemes6\")
ki18n_install(po)
add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(tests)
    add_subdirectory(autotests)
endif()

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6IconThemes")

include(CMakePackageConfigHelpers)

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF6IconThemesConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6IconThemesConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF6IconThemesConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6IconThemesConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF6IconThemesTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF6IconThemesTargets.cmake NAMESPACE KF6:: )

install(FILES
   ${kiconthemes_version_header}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KIconThemes COMPONENT Devel
)

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== autotests/CMakeLists.txt ===

find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Test)

include(ECMAddTests)

macro(KICONTHEMES_TESTS)
    foreach(_testname ${ARGN})
        set(_srcs ${_testname}.cpp)
        qt_add_resources(_srcs resources.qrc)
        ecm_add_test(${_srcs} TEST_NAME ${_testname} LINK_LIBRARIES Qt6::Test KF6::IconThemes KF6::WidgetsAddons KF6::ConfigCore KF6::IconWidgets)
    endforeach(_testname)
endmacro()

kiconthemes_tests(
  kiconloader_unittest
  kiconloader_resourcethemetest
  kicontheme_unittest
  kiconengine_unittest
  kiconengine_scaled_unittest
  kicondialog_unittest
  kpixmapsequenceloadertest
)

find_package(Qt6 COMPONENTS Quick)
if (TARGET Qt6::Quick)
  kiconthemes_tests(kquickiconprovidertest)
  target_link_libraries(kquickiconprovidertest Qt6::Quick)
endif()

set_tests_properties(kiconloader_unittest PROPERTIES RUN_SERIAL TRUE)

# Benchmark, compiled, but not run automatically with ctest
add_executable(kiconloader_benchmark kiconloader_benchmark.cpp)
target_link_libraries(kiconloader_benchmark Qt6::Test KF6::IconThemes KF6::WidgetsAddons KF6::ConfigCore)

=== debian/changelog ===
kf6-kiconthemes (6.17.0-0ubuntu2) questing; urgency=medium

  * No-change rebuild for Qt 6.9.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Tue, 16 Sep 2025 18:58:04 +0100

kf6-kiconthemes (6.17.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.17.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Aug 2025 18:15:33 +0100

=== debian/control ===
--- 
+++ 
@@ -11,13 +11,13 @@
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
                doxygen,
-               extra-cmake-modules (>= 6.16.0~),
-               libkf6archive-dev (>= 6.16.0~),
-               libkf6breezeicons-dev (>= 6.16.0~),
-               libkf6colorscheme-dev (>= 6.16.0~),
-               libkf6configwidgets-dev (>= 6.16.0~),
-               libkf6i18n-dev (>= 6.16.0~),
-               libkf6widgetsaddons-dev (>= 6.16.0~),
+               extra-cmake-modules (>= 6.17.0~),
+               libkf6archive-dev (>= 6.17.0~),
+               libkf6breezeicons-dev (>= 6.17.0~),
+               libkf6colorscheme-dev (>= 6.17.0~),
+               libkf6configwidgets-dev (>= 6.17.0~),
+               libkf6i18n-dev (>= 6.17.0~),
+               libkf6widgetsaddons-dev (>= 6.17.0~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-base-private-dev (>= 6.5.0+dfsg~),
@@ -53,12 +53,12 @@
 Package: libkf6iconthemes-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6colorscheme-dev (>= 6.16.0~),
-         libkf6configwidgets-dev (>= 6.16.0~),
-         libkf6i18n-dev (>= 6.16.0~),
+Depends: libkf6colorscheme-dev (>= 6.17.0~),
+         libkf6configwidgets-dev (>= 6.17.0~),
+         libkf6i18n-dev (>= 6.17.0~),
          libkf6iconthemes6 (= ${binary:Version}),
          libkf6iconwidgets6 (= ${binary:Version}),
-         libkf6widgetsaddons-dev (>= 6.16.0~),
+         libkf6widgetsaddons-dev (>= 6.17.0~),
          qml6-module-org-kde-iconthemes (= ${binary:Version}),
          qt6-base-dev (>= 6.5.0+dfsg~),
          qt6-declarative-dev (>= 6.5.0+dfsg~),

## kf6-kiconthemes 6.18.0

=== src/widgets/CMakeLists.txt ===
add_library(KF6IconWidgets)
add_library(KF6::IconWidgets ALIAS KF6IconWidgets)

set_target_properties(KF6IconWidgets PROPERTIES
    VERSION     ${KICONTHEMES_VERSION}
    SOVERSION   ${KICONTHEMES_SOVERSION}
    EXPORT_NAME IconWidgets
)

target_sources(KF6IconWidgets PRIVATE
    kiconbutton.cpp
    kiconbutton.h
    kicondialog.cpp
    kicondialog.h
    kicondialogmodel_p.h
    kicondialog_p.h
    kpixmapsequenceloader.h
    kpixmapsequenceloader.cpp
    )

ki18n_wrap_ui(KF6IconWidgets kicondialog.ui)

ecm_generate_export_header(KF6IconWidgets
    BASE_NAME KIconWidgets
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    USE_VERSION_HEADER
    VERSION_BASE_NAME KIconThemes
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)

target_include_directories(KF6IconWidgets INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/KIconWidgets>")

target_link_libraries(KF6IconWidgets
  PUBLIC
    Qt6::Widgets
    KF6::IconThemes
  PRIVATE
    Qt6::Svg
    KF6::I18n          # for i18n in KIconDialog
    KF6::ConfigGui     # for KStandardActions
    KF6::WidgetsAddons # for KPixmapSequence
)

ecm_generate_headers(KIconWidgets_HEADERS
  HEADER_NAMES
  KIconButton
  KIconDialog
  KPixmapSequenceLoader

  REQUIRED_HEADERS KIconWidgets_HEADERS
)

ecm_generate_qdoc(KF6IconWidgets kiconwidgets.qdocconf)

install(TARGETS KF6IconWidgets EXPORT KF6IconThemesTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/kiconwidgets_export.h
  ${KIconWidgets_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KIconWidgets COMPONENT Devel
)

if(BUILD_DESIGNERPLUGIN)
    add_subdirectory(designer)
endif()

=== src/tools/kiconfinder/CMakeLists.txt ===
add_executable(kiconfinder6 kiconfinder.cpp)
ecm_mark_nongui_executable(kiconfinder6)
target_link_libraries(kiconfinder6 Qt6::Gui KF6IconThemes)

install(TARGETS kiconfinder6 ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
kf6-kiconthemes (6.18.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.18.0).
  * Update build-deps and deps with the info from cmake.
  * Refresh patches.
  * Update list of installed files.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Tue, 30 Sep 2025 19:18:13 +0200

=== debian/control ===
--- 
+++ 
@@ -1,39 +1,39 @@
 Source: kf6-kiconthemes
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
+               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.17.0~),
-               libkf6archive-dev (>= 6.17.0~),
-               libkf6breezeicons-dev (>= 6.17.0~),
-               libkf6colorscheme-dev (>= 6.17.0~),
-               libkf6configwidgets-dev (>= 6.17.0~),
-               libkf6i18n-dev (>= 6.17.0~),
-               libkf6widgetsaddons-dev (>= 6.17.0~),
+               extra-cmake-modules (>= 6.18.0~),
+               libkf6archive-dev (>= 6.18.0~),
+               libkf6breezeicons-dev (>= 6.18.0~),
+               libkf6colorscheme-dev (>= 6.18.0~),
+               libkf6configwidgets-dev (>= 6.7.0~),
+               libkf6i18n-dev (>= 6.18.0~),
+               libkf6widgetsaddons-dev (>= 6.18.0~),
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.5.0+dfsg~),
-               qt6-base-private-dev (>= 6.5.0+dfsg~),
-               qt6-declarative-dev (>= 6.5.0+dfsg~),
+               qt6-base-dev (>= 6.7.0~),
+               qt6-base-private-dev (>= 6.7.0~),
+               qt6-declarative-dev (>= 6.7.0~),
                qt6-declarative-private-dev (>= 6.5.0+dfsg~),
-               qt6-svg-dev (>= 6.5.0~),
+               qt6-svg-dev (>= 6.7.0~),
                qt6-tools-dev (>= 6.5.0~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/kiconthemes
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kiconthemes
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kiconthemes
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kiconthemes
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kiconthemes.git
 Rules-Requires-Root: no
 
 Package: libkf6iconthemes-bin
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Description: Support for icon themes & widgets
  Library to use/access icon themes in Qt. These classes
  are used by the iconloader but can be used by others too.
@@ -53,15 +53,15 @@
 Package: libkf6iconthemes-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6colorscheme-dev (>= 6.17.0~),
-         libkf6configwidgets-dev (>= 6.17.0~),
-         libkf6i18n-dev (>= 6.17.0~),
+Depends: libkf6colorscheme-dev (>= 6.18.0~),
+         libkf6configwidgets-dev (>= 6.7.0~),
+         libkf6i18n-dev (>= 6.18.0~),
          libkf6iconthemes6 (= ${binary:Version}),
          libkf6iconwidgets6 (= ${binary:Version}),
-         libkf6widgetsaddons-dev (>= 6.17.0~),
+         libkf6widgetsaddons-dev (>= 6.18.0~),
          qml6-module-org-kde-iconthemes (= ${binary:Version}),
-         qt6-base-dev (>= 6.5.0+dfsg~),
-         qt6-declarative-dev (>= 6.5.0+dfsg~),
+         qt6-base-dev (>= 6.7.0~),
+         qt6-declarative-dev (>= 6.7.0~),
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: libkf6iconthemes-doc (= ${source:Version}),
@@ -108,7 +108,9 @@
 Package: qml6-module-org-kde-iconthemes
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${qml6:Depends},
+         ${shlibs:Depends},
 Description: Support for icon themes (QML module)
  Library to use/access icon themes & widgets in Qt. These classes
  are used by the iconloader but can be used by others too.

## kf6-kiconthemes 6.18.0+p24.04+vstable+git20250928.0611

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.17.0") # handled by release scripts
-set(KF_DEP_VERSION "6.17.0") # handled by release scripts
+set(KF_VERSION "6.19.0") # handled by release scripts
+set(KF_DEP_VERSION "6.18.0") # handled by release scripts
 project(KIconThemes VERSION ${KF_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.17.0  NO_MODULE)
+find_package(ECM 6.18.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -86,7 +86,7 @@
 
 ecm_set_disabled_deprecation_versions(
     QT 6.10.0
-    KF 6.16.0
+    KF 6.18.0
 )
 
 add_definitions(-DTRANSLATION_DOMAIN=\"kiconthemes6\")

=== debian/changelog ===
kf6-kiconthemes (6.18.0+p24.04+vstable+git20250928.0611-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 28 Sep 2025 06:11:56 +0000

kf6-kiconthemes (6.18.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Sep 2025 12:48:37 +0000

kf6-kiconthemes (6.17.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Aug 2025 00:19:28 +0000

kf6-kiconthemes (6.16.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jul 2025 06:22:52 +0000

kf6-kiconthemes (6.15.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jun 2025 05:50:23 +0000

kf6-kiconthemes (6.14.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 May 2025 10:35:22 +0000

kf6-kiconthemes (6.13.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 13 Apr 2025 01:39:21 +0000

kf6-kiconthemes (6.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 17 Mar 2025 22:00:47 +0000

kf6-kiconthemes (6.11.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Feb 2025 03:28:07 +0000

kf6-kiconthemes (6.10.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 11:51:04 +0000

kf6-kiconthemes (6.9.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 13 Dec 2024 10:29:50 +0000

kf6-kiconthemes (6.8.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Nov 2024 00:31:48 +0000

kf6-kiconthemes (6.7.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Oct 2024 15:27:11 +0000

kf6-kiconthemes (6.6.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 21 Sep 2024 03:34:09 +0000

kf6-kiconthemes (6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Aug 2024 12:33:22 +0000

kf6-kiconthemes (6.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Jul 2024 04:44:02 +0000

kf6-kiconthemes (6.3.0-1neon) noble; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Thu, 13 Jun 2024 14:30:21 +1000

kf6-kiconthemes (6.3.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Jun 2024 03:56:40 +0000

kf6-kiconthemes (6.2.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 21 Feb 2024 16:20:37 +0000

kf6-kiconthemes (5.245.0-0neon) jammy; urgency=medium

  * New alpha release

 -- Neon CI <neon@kde.org>  Fri, 17 Nov 2023 01:18:08 +0000

kf6-kiconthemes (0.0-0neon) UNRELEASED; urgency=medium

  * New release

 -- Jonathan Esk-Riddell <jr@jriddell.org>  Mon, 12 Dec 2022 13:04:30 +0000

## kf6-kiconthemes 6.18.0+p24.04+vstable+git20251005.0432

=== debian/changelog ===
kf6-kiconthemes (6.18.0+p24.04+vstable+git20251005.0432-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 05 Oct 2025 04:32:54 +0000

## kf6-kiconthemes 6.19.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.16)
 
 set(KF_VERSION "6.19.0") # handled by release scripts
-set(KF_DEP_VERSION "6.18.0") # handled by release scripts
+set(KF_DEP_VERSION "6.19.0") # handled by release scripts
 project(KIconThemes VERSION ${KF_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.18.0  NO_MODULE)
+find_package(ECM 6.19.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/qml/CMakeLists.txt ===
ecm_add_qml_module(iconthemesplugin URI "org.kde.iconthemes" VERSION 1.0 GENERATE_PLUGIN_SOURCE)
target_sources(iconthemesplugin PRIVATE icondialog.cpp)
target_link_libraries(iconthemesplugin PRIVATE Qt6::Qml Qt6::Quick KF6::IconWidgets)
ecm_finalize_qml_module(iconthemesplugin DESTINATION ${KDE_INSTALL_QMLDIR})

=== src/tools/ksvg2icns/CMakeLists.txt ===
add_executable(ksvg2icns ksvg2icns.cpp)
ecm_mark_nongui_executable(ksvg2icns)
target_link_libraries(ksvg2icns Qt6::Gui Qt6::Svg)

install(TARGETS ksvg2icns ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
kf6-kiconthemes (6.19.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.18.0)
  * New upstream release (6.19.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Oct 2025 15:06:02 +0100

=== debian/control ===
--- 
+++ 
@@ -1,39 +1,39 @@
 Source: kf6-kiconthemes
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.18.0~),
-               libkf6archive-dev (>= 6.18.0~),
-               libkf6breezeicons-dev (>= 6.18.0~),
-               libkf6colorscheme-dev (>= 6.18.0~),
-               libkf6configwidgets-dev (>= 6.7.0~),
-               libkf6i18n-dev (>= 6.18.0~),
-               libkf6widgetsaddons-dev (>= 6.18.0~),
+               extra-cmake-modules (>= 6.19.0~),
+               libkf6archive-dev (>= 6.19.0~),
+               libkf6breezeicons-dev (>= 6.19.0~),
+               libkf6colorscheme-dev (>= 6.19.0~),
+               libkf6configwidgets-dev (>= 6.19.0~),
+               libkf6i18n-dev (>= 6.19.0~),
+               libkf6widgetsaddons-dev (>= 6.19.0~),
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.7.0~),
-               qt6-base-private-dev (>= 6.7.0~),
-               qt6-declarative-dev (>= 6.7.0~),
+               qt6-base-dev (>= 6.5.0+dfsg~),
+               qt6-base-private-dev (>= 6.5.0+dfsg~),
+               qt6-declarative-dev (>= 6.5.0+dfsg~),
                qt6-declarative-private-dev (>= 6.5.0+dfsg~),
-               qt6-svg-dev (>= 6.7.0~),
+               qt6-svg-dev (>= 6.5.0~),
                qt6-tools-dev (>= 6.5.0~),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kiconthemes
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kiconthemes
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kiconthemes.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kiconthemes
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kiconthemes
 Rules-Requires-Root: no
 
 Package: libkf6iconthemes-bin
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Support for icon themes & widgets
  Library to use/access icon themes in Qt. These classes
  are used by the iconloader but can be used by others too.
@@ -53,15 +53,15 @@
 Package: libkf6iconthemes-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6colorscheme-dev (>= 6.18.0~),
-         libkf6configwidgets-dev (>= 6.7.0~),
-         libkf6i18n-dev (>= 6.18.0~),
+Depends: libkf6colorscheme-dev (>= 6.19.0~),
+         libkf6configwidgets-dev (>= 6.19.0~),
+         libkf6i18n-dev (>= 6.19.0~),
          libkf6iconthemes6 (= ${binary:Version}),
          libkf6iconwidgets6 (= ${binary:Version}),
-         libkf6widgetsaddons-dev (>= 6.18.0~),
+         libkf6widgetsaddons-dev (>= 6.19.0~),
          qml6-module-org-kde-iconthemes (= ${binary:Version}),
-         qt6-base-dev (>= 6.7.0~),
-         qt6-declarative-dev (>= 6.7.0~),
+         qt6-base-dev (>= 6.5.0+dfsg~),
+         qt6-declarative-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: libkf6iconthemes-doc (= ${source:Version}),
@@ -108,9 +108,7 @@
 Package: qml6-module-org-kde-iconthemes
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${qml6:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: Support for icon themes (QML module)
  Library to use/access icon themes & widgets in Qt. These classes
  are used by the iconloader but can be used by others too.

## kf6-kiconthemes 6.19.0+p24.04+vstable+git20251015.1009

=== debian/changelog ===
kf6-kiconthemes (6.19.0+p24.04+vstable+git20251015.1009-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 10:09:38 +0000

kf6-kiconthemes (6.19.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 06:58:33 +0000

## kf6-kiconthemes 6.19.0+p24.04+vstable+git20251016.0125

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.19.0") # handled by release scripts
+set(KF_VERSION "6.20.0") # handled by release scripts
 set(KF_DEP_VERSION "6.19.0") # handled by release scripts
 project(KIconThemes VERSION ${KF_VERSION})

=== debian/changelog ===
kf6-kiconthemes (6.19.0+p24.04+vstable+git20251016.0125-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 16 Oct 2025 01:25:50 +0000

=== debian/control ===
Source: kf6-kiconthemes
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               graphviz,
               kde-qdoc-common-dev,
               kf6-breeze-icon-theme-dev,
               kf6-extra-cmake-modules,
               kf6-karchive-dev,
               kf6-kauth-dev,
               kf6-kcodecs-dev,
               kf6-kcolorscheme-dev,
               kf6-kconfig-dev,
               kf6-kconfigwidgets-dev,
               kf6-kcoreaddons-dev,
               kf6-ki18n-dev,
               kf6-kitemviews-dev,
               kf6-kwidgetsaddons-dev,
               pkg-kde-tools-neon,
               qt6-5compat-dev,
               qt6-base-dev,
               qt6-svg-dev,
               qt6-tools-dev
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/frameworks/kiconthemes
Vcs-Git: https://invent.kde.org/neon/kf6/kf6-kiconthemes.git
Vcs-Browser: https://invent.kde.org/neon/kf6/kf6-kiconthemes
Maintainer: Neon CI <neon@kde.org>

Package: kf6-kiconthemes
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libkf6iconthemes-bin,
          libkf6iconthemes-data,
          libkf6iconthemes-doc,
          libkf6iconthemes6
Description: Support for icon themes
 Library to use/access icon themes in Qt. These classes
 are used by the iconloader but can be used by others too.
 .
 This package contains runtime binaries.

Package: kf6-kiconthemes-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: kf6-kiconthemes (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: libkf6iconthemes-dev, libkf6iconthemes-doc
Description: development files for kiconthemes
 Library to use/access icon themes in Qt. These classes
 are used by the iconloader but can be used by others too.
 .
 Contains development files for kiconthemes.

Package: libkf6iconthemes-bin
Architecture: all
Depends: kf6-kiconthemes, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6iconthemes-data
Architecture: all
Depends: kf6-kiconthemes, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6iconthemes-doc
Architecture: all
Depends: kf6-kiconthemes-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6iconthemes6
Architecture: all
Depends: kf6-kiconthemes, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6iconthemes-dev
Architecture: all
Depends: kf6-kiconthemes-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

=== debian/tests/control ===
Tests: testsuite
Depends: build-essential,
         dbus (>= 1.8),
         openbox,
         oxygen-icon-theme,
         xauth,
         xvfb,
         @,
         @builddeps@
Restrictions: build-needed, allow-stderr

Tests: acc
Depends: dh-acc, exuberant-ctags, @
Restrictions: allow-stderr

## kf6-kiconthemes 6.19.0+p24.04+vunstable+git20251020.0306

=== CMakeLists.txt ===
--- 
+++ 
@@ -42,7 +42,7 @@
                   SOVERSION 6)
 
 # Dependencies
-set(REQUIRED_QT_VERSION 6.7.0)
+set(REQUIRED_QT_VERSION 6.8.0)
 find_package(Qt6Widgets ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
 find_package(Qt6Svg ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)

=== debian/changelog ===
kf6-kiconthemes (6.19.0+p24.04+vunstable+git20251020.0306-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 03:06:17 +0000

## kf6-kiconthemes 6.19.0+p24.04+vunstable+git20251021.0353

=== debian/changelog ===
kf6-kiconthemes (6.19.0+p24.04+vunstable+git20251021.0353-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 03:53:46 +0000

## kf6-kiconthemes 6.20.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.16)
 
 set(KF_VERSION "6.20.0") # handled by release scripts
-set(KF_DEP_VERSION "6.19.0") # handled by release scripts
+set(KF_DEP_VERSION "6.20.0") # handled by release scripts
 project(KIconThemes VERSION ${KF_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.19.0  NO_MODULE)
+find_package(ECM 6.20.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -86,7 +86,7 @@
 
 ecm_set_disabled_deprecation_versions(
     QT 6.10.0
-    KF 6.18.0
+    KF 6.19.0
 )
 
 add_definitions(-DTRANSLATION_DOMAIN=\"kiconthemes6\")

=== src/CMakeLists.txt ===
configure_file(config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)

add_subdirectory(tools/kiconfinder)
if (KICONTHEMES_USE_QTQUICK)
    add_subdirectory(qml)
endif()
if (APPLE)
    add_subdirectory(tools/ksvg2icns)
endif()

add_subdirectory(widgets)

add_library(KF6IconThemes)
add_library(KF6::IconThemes ALIAS KF6IconThemes)

set_target_properties(KF6IconThemes PROPERTIES
    VERSION     ${KICONTHEMES_VERSION}
    SOVERSION   ${KICONTHEMES_SOVERSION}
    EXPORT_NAME IconThemes
)

target_sources(KF6IconThemes PRIVATE
    kiconcolors.cpp
    kiconcolors.h
    kiconeffect.cpp
    kiconeffect.h
    kiconengine.cpp
    kiconengine.h
    kiconengineplugin.cpp
    kiconloader.cpp
    kiconloader.h
    kicontheme.cpp
    kicontheme.h
    kquickiconprovider.h

    hicolor.qrc
    )

ecm_qt_declare_logging_category(KF6IconThemes
    HEADER debug.h
    IDENTIFIER KICONTHEMES
    CATEGORY_NAME kf.iconthemes
    OLD_CATEGORY_NAMES kf5.kiconthemes
    DESCRIPTION "KIconThemes"
    EXPORT KICONTHEMES
)

ecm_generate_export_header(KF6IconThemes
    BASE_NAME KIconThemes
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    USE_VERSION_HEADER
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS 5.0 6.5 6.20
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)

target_include_directories(KF6IconThemes INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/KIconThemes>")

target_link_libraries(KF6IconThemes
  PUBLIC
    Qt6::Gui
  PRIVATE
    Qt6::GuiPrivate
    Qt6::Svg
    KF6::Archive       # for KCompressionDevice
    KF6::I18n          # for KLocalizedString::localizedFilePath in KIconTheme
    KF6::ColorScheme
)
if (HAVE_QTDBUS)
  target_compile_definitions(KF6IconThemes PRIVATE WITH_QTDBUS)
  target_link_libraries(KF6IconThemes PRIVATE Qt6::DBus)
endif()

if(TARGET KF6::BreezeIcons)
    target_link_libraries(KF6IconThemes
            PRIVATE
            KF6::BreezeIcons
    )
endif ()

ecm_generate_headers(KIconThemes_HEADERS
  HEADER_NAMES
  KIconColors
  KIconEffect
  KIconLoader
  KIconTheme
  KIconEngine
  KQuickIconProvider

  REQUIRED_HEADERS KIconThemes_HEADERS
)

install(TARGETS KF6IconThemes EXPORT KF6IconThemesTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/kiconthemes_export.h
  ${KIconThemes_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KIconThemes COMPONENT Devel
)

add_library(KIconEnginePlugin MODULE kiconengineplugin.cpp)

target_link_libraries(KIconEnginePlugin
    PRIVATE
        Qt6::Gui
        KF6::IconThemes
)

# install in an extra directory we will add to the plugin path later just for this one engine
# we can overwrite the system one with that trick
install(TARGETS KIconEnginePlugin DESTINATION ${KDE_INSTALL_QTPLUGINDIR}/kiconthemes6/iconengines)

ecm_qt_install_logging_categories(
    EXPORT KICONTHEMES
    FILE kiconthemes.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

ecm_generate_qdoc(KF6IconThemes kiconthemes.qdocconf)

=== tests/CMakeLists.txt ===

include(ECMMarkAsTest)

find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Test)

macro(kiconthemes_executable_tests)
  foreach(_testname ${ARGN})
    add_executable(${_testname} ${_testname}.cpp)
    target_link_libraries(${_testname} Qt6::Test KF6::IconThemes KF6::WidgetsAddons KF6::IconWidgets)
    ecm_mark_as_test(${_testname})
  endforeach(_testname)
endmacro()

kiconthemes_executable_tests(
  kiconbuttontest
  kicondialogtest
  kiconloadertest
  kiconeffecttest
)

=== debian/changelog ===
kf6-kiconthemes (6.20.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.20.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Nov 2025 19:26:01 +0100

=== debian/control ===
Source: kf6-kiconthemes
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               doxygen,
               extra-cmake-modules (>= 6.20.0~),
               libkf6archive-dev (>= 6.20.0~),
               libkf6breezeicons-dev (>= 6.20.0~),
               libkf6colorscheme-dev (>= 6.20.0~),
               libkf6configwidgets-dev (>= 6.7.0~),
               libkf6i18n-dev (>= 6.20.0~),
               libkf6widgetsaddons-dev (>= 6.20.0~),
               libxkbcommon-dev,
               qt6-base-dev (>= 6.8.0~),
               qt6-base-private-dev (>= 6.8.0~),
               qt6-declarative-dev (>= 6.8.0~),
               qt6-declarative-private-dev (>= 6.5.0+dfsg~),
               qt6-svg-dev (>= 6.8.0~),
               qt6-tools-dev (>= 6.5.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/frameworks/kiconthemes
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kiconthemes
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kiconthemes.git
Rules-Requires-Root: no

Package: libkf6iconthemes-bin
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Support for icon themes & widgets
 Library to use/access icon themes in Qt. These classes
 are used by the iconloader but can be used by others too.
 .
 This package contains runtime binaries.

Package: libkf6iconthemes-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Support for icon themes & widgets
 Library to use/access icon themes & widgets in Qt. These classes
 are used by the iconloader but can be used by others too.
 .
 This package contains the data files.

Package: libkf6iconthemes-dev
Section: libdevel
Architecture: any
Depends: libkf6colorscheme-dev (>= 6.20.0~),
         libkf6configwidgets-dev (>= 6.7.0~),
         libkf6i18n-dev (>= 6.20.0~),
         libkf6iconthemes6 (= ${binary:Version}),
         libkf6iconwidgets6 (= ${binary:Version}),
         libkf6widgetsaddons-dev (>= 6.20.0~),
         qml6-module-org-kde-iconthemes (= ${binary:Version}),
         qt6-base-dev (>= 6.8.0~),
         qt6-declarative-dev (>= 6.8.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf6iconthemes-doc (= ${source:Version}),
Description: development files for kiconthemes
 Library to use/access icon themes & widgets in Qt. These classes
 are used by the iconloader but can be used by others too.
 .
 Contains development files for kiconthemes.

Package: libkf6iconthemes-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Support for icon themes & widgets (documentation)
 Library to use/access icon themes & widgets in Qt. These classes
 are used by the iconloader but can be used by others too.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6iconthemes6
Architecture: any
Multi-Arch: same
Depends: libkf6iconthemes-data (= ${source:Version}),
         libqt6svg6 (>= 6.5.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf6iconthemes-bin (= ${binary:Version}),
Description: Support for icon themes
 Library to use/access icon themes & widgets in Qt. These classes
 are used by the iconloader but can be used by others too.

Package: libkf6iconwidgets6
Architecture: any
Multi-Arch: same
Depends: libkf6iconthemes-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf6iconthemes-bin (= ${binary:Version}),
Description: Support for icon widgets
 Library to use/access icon themes & widgets in Qt. These classes
 are used by the iconloader but can be used by others too.

Package: qml6-module-org-kde-iconthemes
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: Support for icon themes (QML module)
 Library to use/access icon themes & widgets in Qt. These classes
 are used by the iconloader but can be used by others too.

## kf6-kiconthemes 6.20.0+p24.04+vunstable+git20251130.0343

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.20.0") # handled by release scripts
+set(KF_VERSION "6.21.0") # handled by release scripts
 set(KF_DEP_VERSION "6.20.0") # handled by release scripts
 project(KIconThemes VERSION ${KF_VERSION})

=== debian/changelog ===
kf6-kiconthemes (6.20.0+p24.04+vunstable+git20251130.0343-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 30 Nov 2025 03:44:03 +0000

kf6-kiconthemes (6.20.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 15:33:50 +1000

## kf6-kiconthemes 6.20.0+p24.04+vunstable+git20251206.0339

=== debian/changelog ===
kf6-kiconthemes (6.20.0+p24.04+vunstable+git20251206.0339-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 03:40:00 +0000

## kf6-kiconthemes 6.21.0

=== debian/changelog ===
kf6-kiconthemes (6.21.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.21.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 12 Dec 2025 11:51:29 +0000

kf6-kiconthemes (6.20.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.20.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Nov 2025 16:14:20 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kf6-kiconthemes
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: debhelper-compat (= 13),
@@ -10,30 +11,29 @@
                dh-sequence-qmldeps,
                cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.20.0~),
-               libkf6archive-dev (>= 6.20.0~),
-               libkf6breezeicons-dev (>= 6.20.0~),
-               libkf6colorscheme-dev (>= 6.20.0~),
-               libkf6configwidgets-dev (>= 6.7.0~),
-               libkf6i18n-dev (>= 6.20.0~),
-               libkf6widgetsaddons-dev (>= 6.20.0~),
+               extra-cmake-modules (>= 6.21.0~),
+               libkf6archive-dev (>= 6.21.0~),
+               libkf6breezeicons-dev (>= 6.21.0~),
+               libkf6colorscheme-dev (>= 6.21.0~),
+               libkf6configwidgets-dev (>= 6.21.0~),
+               libkf6i18n-dev (>= 6.21.0~),
+               libkf6widgetsaddons-dev (>= 6.21.0~),
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.8.0~),
-               qt6-base-private-dev (>= 6.8.0~),
-               qt6-declarative-dev (>= 6.8.0~),
-               qt6-declarative-private-dev (>= 6.5.0+dfsg~),
+               qt6-base-dev (>= 6.8.0+dfsg~),
+               qt6-base-private-dev (>= 6.8.0+dfsg~),
+               qt6-declarative-dev (>= 6.8.0+dfsg~),
+               qt6-declarative-private-dev (>= 6.8.0+dfsg~),
                qt6-svg-dev (>= 6.8.0~),
-               qt6-tools-dev (>= 6.5.0~),
-Standards-Version: 4.7.2
+               qt6-tools-dev (>= 6.8.0~),
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kiconthemes
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kiconthemes
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kiconthemes.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kiconthemes
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kiconthemes
 Rules-Requires-Root: no
 
 Package: libkf6iconthemes-bin
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Support for icon themes & widgets
  Library to use/access icon themes in Qt. These classes
  are used by the iconloader but can be used by others too.
@@ -53,15 +53,15 @@
 Package: libkf6iconthemes-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6colorscheme-dev (>= 6.20.0~),
-         libkf6configwidgets-dev (>= 6.7.0~),
-         libkf6i18n-dev (>= 6.20.0~),
+Depends: libkf6colorscheme-dev (>= 6.21.0~),
+         libkf6configwidgets-dev (>= 6.21.0~),
+         libkf6i18n-dev (>= 6.21.0~),
          libkf6iconthemes6 (= ${binary:Version}),
          libkf6iconwidgets6 (= ${binary:Version}),
-         libkf6widgetsaddons-dev (>= 6.20.0~),
+         libkf6widgetsaddons-dev (>= 6.21.0~),
          qml6-module-org-kde-iconthemes (= ${binary:Version}),
-         qt6-base-dev (>= 6.8.0~),
-         qt6-declarative-dev (>= 6.8.0~),
+         qt6-base-dev (>= 6.8.0+dfsg~),
+         qt6-declarative-dev (>= 6.8.0+dfsg~),
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: libkf6iconthemes-doc (= ${source:Version}),
@@ -108,9 +108,7 @@
 Package: qml6-module-org-kde-iconthemes
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${qml6:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: Support for icon themes (QML module)
  Library to use/access icon themes & widgets in Qt. These classes
  are used by the iconloader but can be used by others too.
